Package org.opensaml.xmlsec.agreement.impl

# Class PrivateCredential

java.lang.Object
org.opensaml.xmlsec.agreement.impl.PrivateCredential

All Implemented Interfaces:
  `KeyAgreementParameter`

public class PrivateCredential extends Object implements KeyAgreementParameter
Key agreement parameter used to pass a Credential holding a required private key.

This is typically used in the decryption case to pass in the recipient's private credential.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Credential`
`credential`
The wrapped Credential.

## Constructor Summary

Constructors
Constructor
Description
`PrivateCredential(Credential newCredential)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Credential`
`getCredential()`
Get the wrapped credential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### credential

@Nonnull private Credential credential
The wrapped Credential.

## Constructor Details

### PrivateCredential

public PrivateCredential(@Nonnull Credential newCredential)
Constructor.

Parameters:
  `newCredential` - the private credential, containing a `PrivateKey`

## Method Details

### getCredential

@Nonnull public Credential getCredential()
Get the wrapped credential.

Returns:
  the credential